package com.pcloud.book.pcloudkeyword.dao;

import com.pcloud.book.pcloudKeyword.dto.RobotClassifyDTO;
import com.pcloud.book.pcloudkeyword.entity.PcloudRobotClassify;
import com.pcloud.book.pcloudkeyword.facade.response.PcloudRobotClassifyResponseVO;
import com.pcloud.book.pcloudkeyword.vo.ClassifyOpenStatusUpdateVO;
import com.pcloud.book.pcloudkeyword.vo.ClassifySeqNumUpdateVO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudRobotClassifyDao extends BaseDao<PcloudRobotClassify> {

    List<PcloudRobotClassifyResponseVO> listAllRobotClassify();

    void updateRobotClassifyKeywordClassify(Long id, Long keywordClassifyId);

    void updateWelcomeDuration(Long id, Integer welcomeDuration,Integer isOpenPushH5url);

    /**
     * 修改分类排序值
     * @param vo
     */
    void updateSeqNum4RobotClassify(ClassifySeqNumUpdateVO vo);

    void updateOpenStatus4RobotClassify(ClassifyOpenStatusUpdateVO vo);


    void updateMiniAppQr(Long id, String url);

    RobotClassifyDTO getClassifyInfo(Long robotType);


    List<Long> getOpenTempletIds();

    List<RobotClassifyDTO> getClassifyInfoBatch(List<Integer> classifyIds) ;

}
